Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kaoriha.jspbp.helloworld
Class ContPers2Form

    java.lang.Object
      org.kaoriha.jspbp.helloworld.ContPers2Form

All Implemented Interfaces:
  org.kaoriha.jspbp.BeforeGettable, org.kaoriha.jspbp.BeforePostable, org.kaoriha.jspbp.Persistent

    public class ContPers2Form

extends Object
implements org.kaoriha.jspbp.BeforeGettable, org.kaoriha.jspbp.BeforePostable, org.kaoriha.jspbp.Persistent

Nested Class Summary
`static class` | `ContPers2Form.Continuation`

Field Summary
`protected ContPers2Form.Continuation` | `continuation`

Constructor Summary
`ContPers2Form()`

Method Summary
`void` | `beforeGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `beforePost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`String` | `getB()`
`ContPers2Form.Continuation` | `getContinuation()`
`String` | `getContinuationId()`
`String` | `getPersistentId()`
`void` | `setB(String b)`
`void` | `setContinuation(ContPers2Form.Continuation continuation)`
`void` | `setContinuationId(String continuationId)`
`void` | `setPersistentId(String persistentId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### continuation

    protected ContPers2Form.Continuation continuation

Constructor Detail

### ContPers2Form

    public ContPers2Form()

Method Detail

### beforeGet

    public void beforeGet(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws IOException,
                          javax.servlet.ServletException

  Specified by:
    `beforeGet` in interface `org.kaoriha.jspbp.BeforeGettable`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### beforePost

    public void beforePost(javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)
                    throws IOException,
                           javax.servlet.ServletException

  Specified by:
    `beforePost` in interface `org.kaoriha.jspbp.BeforePostable`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### getB

    public String getB()

### setB

    public void setB(String b)

### getPersistentId

    public String getPersistentId()

  Specified by:
    `getPersistentId` in interface `org.kaoriha.jspbp.Persistent`

### setPersistentId

    public void setPersistentId(String persistentId)

  Specified by:
    `setPersistentId` in interface `org.kaoriha.jspbp.Persistent`

### setContinuation

    public void setContinuation(ContPers2Form.Continuation continuation)

### getContinuation

    public ContPers2Form.Continuation getContinuation()

### getContinuationId

    public String getContinuationId()

### setContinuationId

    public void setContinuationId(String continuationId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2007-2008 Hound. All Rights Reserved.